let H =
      https://gitlab.horizon-haskell.net/dhall/horizon-spec/-/raw/0.10.0/horizon-spec/package.dhall

let packages =
      { Only = H.callHackage "Only" "0.1"
      , attoparsec-iso8601 = H.callHackage "attoparsec-iso8601" "1.1.0.0"
      , bin = H.callHackage "bin" "0.1.3"
      , binary-orphans = H.callHackage "binary-orphans" "1.0.4.1"
      , brick = H.callHackage "brick" "1.10"
      , bytes = H.callHackage "bytes" "0.17.3"
      , cassava = H.callHackage "cassava" "0.5.3.0"
      , composite-base =
          H.callGit
            "https://github.com/locallycompact/composite-base"
            "fdcf4721c1337aec2ebcd4e0cef0e7964e0519ff"
            (None H.Subdir)
      , constraints-extras = H.callHackage "constraints-extras" "0.4.0.0"
      , cpphs = H.callHackage "cpphs" "1.20.9.1"
      , dependent-map = H.callHackage "dependent-map" "0.4.0.0"
      , dependent-sum = H.callHackage "dependent-sum" "0.7.2.0"
      , dependent-sum-template =
          H.callHackage "dependent-sum-template" "0.2.0.0"
      , deriving-compat = H.callHackage "deriving-compat" "0.6.5"
      , extensible-effects = H.callHackage "extensible-effects" "5.0.0.1"
      , file-embed = H.callHackage "file-embed" "0.0.15.0"
      , formatting = H.callHackage "formatting" "7.2.0"
      , haskell-src = H.callHackage "haskell-src" "1.0.4"
      , hspec-wai = H.callHackage "hspec-wai" "0.11.1"
      , http-api-data = H.callHackage "http-api-data" "0.6"
      , http-media = H.callHackage "http-media" "0.8.1.1"
      , hxt = H.callHackage "hxt" "9.3.1.22"
      , hxt-charproperties = H.callHackage "hxt-charproperties" "9.5.0.0"
      , hxt-regex-xmlschema = H.callHackage "hxt-regex-xmlschema" "9.2.0.7"
      , hxt-unicode = H.callHackage "hxt-unicode" "9.0.2.4"
      , indexed-profunctors = H.callHackage "indexed-profunctors" "0.1.1.1"
      , linear = H.callHackage "linear" "1.22"
      , monoidal-containers = H.callHackage "monoidal-containers" "0.6.4.0"
      , mtl-compat = H.callHackage "mtl-compat" "0.2.2"
      , newtype = H.callHackage "newtype" "0.2.2.0"
      , optics = H.callHackage "optics" "0.4.2.1"
      , optics-core = H.callHackage "optics-core" "0.4.1.1"
      , optics-extra = H.callHackage "optics-extra" "0.4.2.1"
      , optics-th = H.callHackage "optics-th" "0.4.1"
      , polyparse = H.callHackage "polyparse" "1.13"
      , polysemy =
          H.callGit
            "https://github.com/locallycompact/polysemy"
            "81ab6e5cf33cc0de2dad631b3a3f46ec1befbec5"
            (None H.Subdir)
      , protolude = H.callHackage "protolude" "0.3.3"
      , quiet = H.callHackage "quiet" "0.2"
      , recursion-schemes =
          H.callGit
            "https://github.com/recursion-schemes/recursion-schemes"
            "cc2e88c3400a6548e975830c9addb12ab087545f"
            (None H.Subdir)
      , regex-compat = H.callHackage "regex-compat" "0.95.2.1"
      , rio = H.callHackage "rio" "0.1.22.0"
      , sdl2 = H.callHackage "sdl2" "2.5.5.0"
      , selda =
          H.callGit
            "https://github.com/guibou/selda"
            "54c12169ce8cd46a7b3c698f65cea55e41a13fe6"
            (Some "selda/")
      , servant =
          H.callGit
            "https://github.com/haskell-servant/servant"
            "459ecef93b16a5f5efedb4c4af29bb0674a23bb9"
            (Some "servant/")
      , servant-server =
          H.callGit
            "https://github.com/haskell-servant/servant"
            "459ecef93b16a5f5efedb4c4af29bb0674a23bb9"
            (Some "servant-server/")
      , should-not-typecheck = H.callHackage "should-not-typecheck" "2.1.0"
      , sop-core = H.callHackage "sop-core" "0.5.0.2"
      , string-conversions = H.callHackage "string-conversions" "0.4.0.1"
      , th-extras =
          H.callGit
            "https://github.com/erikd/th-extras"
            "b0f1907d6aa887b77339d85ba8aed25846f7ea13"
            (None H.Subdir)
      , type-errors = H.callHackage "type-errors" "0.2.0.2"
      , unagi-chan = H.callHackage "unagi-chan" "0.4.1.4"
      , vinyl = H.callHackage "vinyl" "0.14.3"
      , vty = H.callHackage "vty" "5.38"
      , wai-app-static = H.callHackage "wai-app-static" "3.1.8"
      , wai-extra = H.callHackage "wai-extra" "3.1.13.0"
      , xmlgen = H.callHackage "xmlgen" "0.6.2.2"
      }

in  H.HorizonExport.MakeOverlay
      { overlayFile = "overlay.nix"
      , packagesDir = "pkgs/"
      , overlay = { compiler = "ghc-9.8", packages = toMap packages }
      }
